package zero1hd.rhythmbullet.desktop;

import com.badlogic.gdx.backends.lwjgl.LwjglApplication;
import com.badlogic.gdx.backends.lwjgl.LwjglApplicationConfiguration;

import zero1hd.rhythmbullet.RhythmBullet;
import zero1hd.rhythmbullet.desktop.screens.SplashScreen;

public class DesktopLauncher  {

	public static void main (String[] arg) {
		RhythmBullet core;
		LwjglApplicationConfiguration config = new LwjglApplicationConfiguration();
		DesktopScreenConfiguration screenConfig = new DesktopScreenConfiguration(config);
		
		config.title = "Rhythm Bullet";
		config.resizable = false;
		config.useHDPI = true;
		config.samples = 2;
		config.width = 320;
		config.height = 320;
		config.allowSoftwareMode = true;
		core = new RhythmBullet();
		core.setup(new SplashScreen(), new DesktopAssetPack(), screenConfig);
		
		LwjglApplication app = new LwjglApplication(core, config);
	}
}
